package com.steerinfo.dil.mapper;

import org.mapstruct.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/16 10:01
 */
@Mapper
public interface QueuingRulesMapper {

    //根据物资Id、门岗规则 查询门岗id (可能会查询出多个)
    List<Map<String, Object>> queryGatepostByMaterialId(Map<String, Object> map);

    //通过门岗ID查询门岗可进门开始时间和结束时间
    Map<String, Object> getStartTimeAndEndTime(Integer gatepostId);

    //通过门岗ID 和 网格类型 匹配 网格主键
    BigDecimal getGridIdByGatepostIdAndGridType(Map<String, Object> map);

    //查询订单跟订单物资中间表 查询是否有多个物资Id
    List<Integer> getAllMaterialId(Map<String, Object> map);

    //通过物资Id查询仓库是否有货 或者 是否有多个仓库有货
    List<Integer> getWarehouseIdByMaterialId(Integer materialId);

    //通过仓库Id 和 物资Id 查询垛位 层次 月台 仓库
    List<Map<String, Object>> getStackGradation(Map<String, Object> map);

    //通过月台Id 查询月台当前排队车辆数
    BigDecimal queueCountByPlatformId(BigDecimal platformId);

}
